{% extends 'base.html.twig' %}

{% block title %}Event creation{% endblock %}

{% block body %}
    <div class="container">
        <h1 class="h3 mb-3 font-weight-normal">Event detail</h1>
        <table class="col-md-12">
            <tr class="row">
                <td class="col-md-6">
                    <div class="row">
                        <div class="col-md-4 col-6">Name :</div>
                        <div class="col-md-8 col-6">{{ event.name }}</div>
                    </div>
                </td>
                <td class="col-md-6">
                    <div class="row">
                        <div class="col-md-4 col-6">Site : </div>
                        <div class="col-md-8 col-6">{{ event.site }}</div>
                    </div>
                </td>
            </tr>
            <tr class="row">
                <td class="col-md-6">
                    <div class="row">
                        <div class="col-md-4 col-6">Start date : </div>
                        <div class="col-md-8 col-6">{{ event.startDateTime|date("m/d/Y h:i") }}</div>
                    </div>
                </td>
                <td class="col-md-6">
                    <div class="row">
                        <div class="col-md-4 col-6">City : </div>
                        <div class="col-md-8 col-6">{{ event.place.city.name }}</div>
                    </div>
                </td>
            </tr>
            <tr class="row">
                <td class="col-md-6">
                    <div class="row">
                        <div class="col-md-4 col-6">Registration deadline : </div>
                        <div class="col-md-8 col-6">{{ event.registrationDeadline|date("m/d/Y") }}</div>
                    </div>
                </td>
                <td class="col-md-6">
                    <div class="row">
                        <div class="col-md-4 col-6">Postal code: </div>
                        <div class="col-md-8 col-6">{{ event.place.city.postCode }}</div>
                    </div>
                </td>
            </tr>
            <tr class="row">
                <td class="col-md-6">
                    <div class="row">
                        <div class="col-md-4 col-6">Max participant : </div>
                        <div class="col-md-8 col-6">{{ event.maxUserNumber }}</div>
                    </div>

                </td>
                <td class="col-md-6">
                    <div class="row">
                        <div class="col-md-4 col-6">Place :</div>
                        <div class="col-md-8 col-6">{{ event.place.name }}</div>
                    </div>
                </td>
            </tr>
            <tr class="row">
                <td class="col-md-6">
                    <div class="row">
                        <div class="col-md-4 col-6">Durée : </div>
                        <div class="col-md-8 col-6">{{ event.duration }}</div>
                    </div>
                </td>
                <td class="col-md-6">
                    <div class="row">
                        <div class="col-md-4 col-6">Latitude :  </div>
                        <div class="col-md-8 col-6">{{ event.place.latitude }} </div>
                    </div>
                </td>
            </tr>
            <tr class="row">
                <td class="col-md-6">
                    <div class="row">
                        <div class="col-md-4 col-6">Description : </div>
                        <div class="col-md-8 col-6">{{ event.description }}</div>
                    </div>
                </td>
                <td class="col-md-6">
                    <div class="row">
                        <div class="col-md-4 col-6"> Longitude : </div>
                        <div class="col-md-8 col-6">{{ event.place.longitude }}</div>
                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div class="container">
    <div class="eventTable col-md-6 justify-content-center">
        <h2>Participant list</h2>
        <table class="table table-bordered">
            <thead class="thead-light">
                <tr>
                    <td>Nickname</td>
                    <td>Name</td>
                </tr>
            </thead>

            {% if event.organizer.id == app.user.id %}
                {% for user in event.users %}
                    <tr>
                        <td><a href="{{ path('profile', { 'id': user.id }) }}">{{ user.nickname }}</td></a>
                        <td>{{ user.firstname }} {{ user.name }}</td>
                    </tr>
                {% endfor %}
            {% else %}
                {% for user in event.users %}
                    {% set bool = 'false' %}
                        {% for group in orgaGroups %}
                            {% for userGroup in group.users %}
                                {% if user.id == userGroup.id %}
                                    {% set bool = 'true' %}
                                {% endif %}
                            {% endfor %}
                        {% endfor %}
                    {% if bool == 'true' %}
                        <tr>
                            <td>PRIVATE</td>
                            <td>PRIVATE</td>
                        </tr>
                    {% else %}
                        <tr>
                            <td><a href="{{ path('profile', { 'id': user.id }) }}">{{ user.nickname }}</td></a>
                            <td>{{ user.firstname }} {{ user.name }}</td>
                        </tr>
                    {% endif %}
                {% endfor %}
            {% endif %}
        </table>
    </div>
    </div>
{% endblock %}
{% block javascript %}

{% endblock %}

